%define major 0
%define libname %mklibname libvirt-sandbox %{major}
%define devname %mklibname -d libvirt-sandbox

Summary:	libvirt application sandbox framework
Name:		libvirt-sandbox
Version:	0.5.1
Release:	3
License:	LGPLv2+
Group:		System/Libraries
Url:		http://libvirt.org/
Source0:	ftp://libvirt.org/libvirt/sandbox/%{name}-%{version}.tar.gz
Patch0:		libvirt-sandbox-0.5.1-linkage.patch
BuildRequires:	intltool
BuildRequires:	glibc-static-devel
BuildRequires:	selinux-devel
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libtirpc)
BuildRequires:	pkgconfig(libvirt-gobject-1.0)
Requires:	pkgconfig(glib-2.0)

%description
This package provides a command for running applications within
a sandbox using libvirt.

%files -f %{name}.lang
%{_datadir}/bash-completion/completions/virt-sandbox-service
%config(noreplace) %{_sysconfdir}/cron.daily/virt-sandbox-service.logrotate
%dir %{_sysconfdir}/libvirt-sandbox/services
%{_bindir}/virt-sandbox
%{_bindir}/virt-sandbox-service
%{_libexecdir}/virt-sandbox-service-util
%doc README COPYING AUTHORS ChangeLog NEWS
%dir %{_sysconfdir}/libvirt-sandbox
%dir %{_sysconfdir}/libvirt-sandbox/scratch
%config %{_sysconfdir}/libvirt-sandbox/scratch/README
%{_libexecdir}/libvirt-sandbox-init-common
%{_libexecdir}/libvirt-sandbox-init-lxc
%{_libexecdir}/libvirt-sandbox-init-qemu
%{_mandir}/man1/virt-sandbox.1*
%{_mandir}/man1/virt-sandbox-service.1*
%{_mandir}/man1/virt-sandbox-service-*.1*
%{_libdir}/girepository-1.0/LibvirtSandbox-1.0.typelib

#----------------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	libvirt application sandbox framework libraries
# So we get the full libvirtd daemon, not just client libs
Requires:	libvirt-utils

%description -n %{libname}
This package provides a framework for building application sandboxes
using libvirt.

%files -n %{libname}
%{_libdir}/libvirt-sandbox-1.0.so.*

#----------------------------------------------------------------------------

%package -n %{devname}
Group:		Development/C
Summary:	libvirt application sandbox framework development files
Requires:	%{libname} = %{EVRD}
Provides:	libvirt-sandbox-devel = %{EVRD}

%description -n %{devname}
This package provides development header files and libraries for
the libvirt sandbox.

%files -n %{devname}
%doc examples/virt-sandbox.pl
%doc examples/virt-sandbox.py
%doc examples/virt-sandbox.js
%doc examples/virt-sandbox-mkinitrd.py
%{_libdir}/libvirt-sandbox-1.0.so
%{_libdir}/pkgconfig/libvirt-sandbox-1.0.pc
%dir %{_includedir}/libvirt-sandbox-1.0
%dir %{_includedir}/libvirt-sandbox-1.0/libvirt-sandbox
%{_includedir}/libvirt-sandbox-1.0/libvirt-sandbox/libvirt-sandbox.h
%{_includedir}/libvirt-sandbox-1.0/libvirt-sandbox/libvirt-sandbox-*.h
%{_datadir}/gir-1.0/LibvirtSandbox-1.0.gir
%{_datadir}/gtk-doc/html/Libvirt-sandbox

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x \
	--enable-introspection \
	--disable-static
%make V=1

%install
chmod a-x examples/*.py examples/*.pl examples/*.js
%makeinstall_std

%find_lang %{name}

%changelog
* Wed Jul 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.5.1-3
+ Revision: d06b20c
- Build with libtirpc


